summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/ksh93/ksh93.SlackBuild5
-rw-r--r--source/ap/ksh93/ksh93.use.clang.for.tests.diff17
2 files changed, 22 insertions, 0 deletions
diff --git a/source/ap/ksh93/ksh93.SlackBuild b/source/ap/ksh93/ksh93.SlackBuild
index 950f54590..6a3a95903 100755
--- a/source/ap/ksh93/ksh93.SlackBuild
+++ b/source/ap/ksh93/ksh93.SlackBuild
@@ -77,6 +77,11 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
+# A test script defaults to GCC, which doesn't make sense as we use clang
+# to compile ksh93. This probably wouldn't be as much of a problem except
+# that it fails with GCC9.
+zcat $CWD/ksh93.use.clang.for.tests.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/ap/ksh93/ksh93.use.clang.for.tests.diff b/source/ap/ksh93/ksh93.use.clang.for.tests.diff
new file mode 100644
index 000000000..4fda65f64
--- /dev/null
+++ b/source/ap/ksh93/ksh93.use.clang.for.tests.diff
@@ -0,0 +1,17 @@
+--- ./scripts/libast_prereq.sh.orig 2019-05-05 13:34:36.069904205 -0500
++++ ./scripts/libast_prereq.sh 2019-05-05 13:37:19.117888974 -0500
+@@ -20,12 +20,12 @@
+
+ if [ -z "$CC" ];
+ then
+- CC=cc
++ CC=clang
+ fi
+
+ cd "$MESON_BUILD_ROOT"
+
+-if cc --version | grep -q "GCC"
++if $CC --version | grep -q "GCC"
+ then
+ gcc_major_version=$(cc -dumpversion | cut -d. -f1)
+ if [ "$gcc_major_version" -ge 9 ]